> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a content group



## OpenAPI

````yaml /openapi/phrase-control-hub.json post /api/v1/public/groups
openapi: 3.0.0
info:
  version: 1.0.16
  title: Control Hub Service
  license:
    name: Proprietary
servers:
  - url: https://eu.phrase.com/control-hub/
security: []
tags:
  - name: Groups
    x-displayName: Content Groups
    description: |
      Organisation-scoped generic content groups and their object references.
paths:
  /api/v1/public/groups:
    post:
      tags:
        - Groups
      summary: Create a content group
      operationId: createGroup
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGroupRequest'
      responses:
        '201':
          description: Content group created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '422':
          $ref: '#/components/responses/422'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    CreateGroupRequest:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: >-
            Content group name (not required to be unique within the
            organization)
          minLength: 1
        description:
          type: string
          description: Optional free-text description
    Group:
      type: object
      required:
        - id
        - name
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          description: Unique identifier of the content group
        name:
          type: string
          description: >-
            Content group name (not required to be unique within the
            organization)
        description:
          type: string
          description: Optional free-text description
        createdAt:
          type: string
          description: When the content group was created — timestamp (ISO-8601 format)
        updatedAt:
          type: string
          description: >-
            When the content group was last updated — timestamp (ISO-8601
            format)
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          title: Error code
          example: NotBlank/NotFound/Error/...
          type: string
        message:
          title: Error message
          example: Organization UID cannot be null
          type: string
        args:
          title: >-
            Map of error arguments - so they are not needed to be parsed from
            the message
          type: object
          additionalProperties: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorEntry'
          description: list of errors this error consist of
    ErrorEntry:
      required:
        - code
        - message
      properties:
        message:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
        args:
          type: object
          additionalProperties: true
          description: More information about error
  responses:
    '400':
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '422':
      description: Validation of the input data failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    '500':
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````